.banner-popup-after {
    background-repeat: no-repeat;
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: #FFFFFF;
    z-index: 999999;
    padding: 36px;
    max-width: 600px;
    width: 100%;
    border-radius: 16px;
}

.banner-popup-after-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
    background: rgba(42, 17, 55, 0.25);
    backdrop-filter: blur(7.5px);
    z-index: 99999;
    opacity: 0;
    -webkit-transition: opacity 1s ease;
    -moz-transition: opacity 1s ease;
    -o-transition: opacity 1s ease;
    transition: opacity 1s ease;
}

.banner-popup-after__success {
    display: none;
}

.banner-popup-after__form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.banner-popup-after__btn {
    width: 100%;
}

.input-container {
    height: 53px;
    position: relative;
    width: 100%;
  }

  .banner-popup-after__success {
    height: 468px;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    justify-content: center;
    width: 100%;
  }

  .banner-popup-after__success-title {
    color: var(--color-dark);
  }

  .banner-popup-after__success-close {
    width: 100%;
    margin-top: 20px;
  }
  
  .input {
    height: 100%;
    outline: 0;
    width: 100%;
    border-radius: 4px;
    border: 1px solid #A8A8A8;
    background-color: #F8F8F8;
    color: var(--Dark, #131313);
    font-family: 'Montserrat', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    padding: 16px;
  }

  .placeholder {
    color: #A8A8A8;
    left: 16px;
    pointer-events: none;
    position: absolute;
    transform-origin: 0 50%;
    transition: transform 200ms, color 200ms;
    top: 16px;
  }

  .placeholder span {
    color: #FF0000;
  }
  
  .input:focus ~ .placeholder,
  .input:not(:placeholder-shown) ~ .placeholder {
    transform: translateY(-16px) translateX(0) scale(0.55);
  }
  
  .input:not(:placeholder-shown) ~ .placeholder {
    color: #A8A8A8;
  }
  
  .input:focus ~ .placeholder {
    color: #A8A8A8;
  }

  .err {
    display: none;
    position: absolute;
    bottom: 3px;
    z-index: 999;
    color: #F00;
    font-size: 10px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    left: 16px;
  }

  .input-file-row .err {
    bottom: -14px;
    left: 0;
  }

  .err--active {
    display: block;
  }

.input-file-row {
    display: inline-block;
    position: relative;
    padding: 16px;
    border-radius: 4px;
    border: 1px solid var(--Inactive-Grey, #A8A8A8);
    background: var(--Light-Grey, #F8F8F8);
    padding-top: 40px;
    padding-bottom: 8px;
}
.input-file-row .placeholder {
    top: 11px;
}
.input-file {
    position: relative;
    display: flex;
    gap: 8px;
    margin-bottom: 8px;
    align-items: center;
}

.file-list {
    color: var(--Dark, #131313);
    font-size: 14px;
}
.rate-us__file-title {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    text-decoration: none;
    transition: opacity 0.5s;

    border-radius: 4px;
    border: 1px solid #40344A;
    background: transparent;
    display: flex;
    padding: 8px 16px;
    align-items: center;
    gap: 10px;
    color: #40344A;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    letter-spacing: 0.28px;
}

.rate-us__file-title:hover,
.rate-us__btn:hover {
    opacity: 0.8;
}

.rate-us__btn {
    display: flex;
    padding: 24px 28px;
    align-items: center;
    gap: 10px;
    margin-bottom: 70px;
    border: none;
    font-size: 14px;
    font-weight: 700;
    line-height: 150%;
    letter-spacing: 0.28px;
    background: #8553AD;
    color: #FFF;
}

.rate-us__btn:disabled {
    cursor: default;
    color: #40344A;
    background: #F1F1F1;
}

.input-file input[type=file] {
    position: absolute;
    z-index: -1;
    opacity: 0;
    display: block;
    width: 0;
    height: 0;
}

/* Focus */
/*.input-file input[type=file]:focus + span {*/
/*    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25);*/
/*}*/

/* Hover/Active */
/*.input-file:hover span {*/
/*    background-color: #59be6e;*/
/*}*/
/*.input-file:active span {*/
/*    background-color: #2E703A;*/
/*}*/

/* Disabled */
.input-file input[type=file]:disabled + span {
    background-color: #eee;
}

/* Список файлов */
/*.input-file-list {*/
/*    padding: 10px 0;*/
/*}*/
/*.input-file-list-item {*/
/*    margin-bottom: 10px;*/
/*}*/
.rate-us__file-descr {
    color: #40344A;
    font-size: 10px;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
    letter-spacing: 0.2px;
}
.input-file-list-remove {
    color: red;
    text-decoration: none;
    display: inline-block;
    margin-left: 5px;
}

.input-container--textarea {
    height: 85px;
}

.banner-popup-after-wrapper .b24-form ,
.banner-popup-after-wrapper .b24-form-content form {
    width: 100% !important;
}

.banner-popup-after-wrapper .b24-form-content {
    padding: 0 !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-container {
    margin: 0 !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-string {
    margin-bottom: 16px !important;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-string .b24-form-control,
.banner-popup-after-wrapper .b24-form-content  .b24-form-control-text .b24-form-control {
    padding: 16px 16px 0 !important;
    border-radius: 4px;
    border: 1px solid var(--Inactive-Grey, #A8A8A8);
    background: var(--Light-Grey, #F8F8F8);
    font-family: 'Montserrat';
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-text .b24-form-control {
    padding: 32px 16px 0 !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-file .b24-form-control-filelist > div {
    display: flex;
    flex-direction: row-reverse;
    justify-content: flex-end;
    align-items: center;
}

.banner-popup-after-wrapper  .b24-form-control-filelist .b24-form-control-file-item {
        margin: 0 !important;
    border: none !important;
    background: none !important;
    padding: 0 !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-file .b24-form-control-filelist .b24-form-control-file-item-name {
    padding: 0 !important;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-file .b24-form-control-filelist .b24-form-control-file-item-name-text {
    color: var(--Dark, #131313);
    font-family: 'Montserrat';
    font-size: 14px;
    font-weight: 400;
    line-height: 150%;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-file .b24-form-control-file-item-empty {
    display: block !important;
}

.banner-popup-after-wrapper .b24-form-control-alert .b24-form-control {
    background-color: rgba(242, 88, 48, 0.08) !important;
    border-color: rgba(242, 88, 48, 0.25) !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-file .b24-form-control-file-item-empty .b24-form-control{ 
   margin: 0;
    border-radius: 4px;
    background: #651389 !important;
    border-color: #651389 !important;
    display: flex;
    padding: 8px 16px !important;
    justify-content: center;
    align-items: center;
    margin-right: 12px;
    color: #FFF;
    font-family: 'Montserrat';
    font-size: 12px;
    font-weight: 400;
    line-height: 120%;
    opacity: 1;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-control-file .b24-form-control-file-item-empty .b24-form-control:before,
.banner-popup-after-wrapper .b24-form-content .b24-form-control-file .b24-form-control-file-item-empty .b24-form-control:after { 
    content: none;
}

.banner-popup-after-wrapper .b24-form-control-file-item-preview,
.banner-popup-after-wrapper--job .b24-form-control-file-item-remove,
.banner-popup-after-wrapper--job .b24-form-content  .b24-form-control-file .b24-form-control-file-item-empty .b24-form-control-string {
    display: none !important;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-string .b24-form-control-label,
.banner-popup-after-wrapper .b24-form-content  .b24-form-control-text .b24-form-control-label {
    padding-left: 16px !important;
}

.banner-popup-after-wrapper .b24-form-content  .b24-form-control-alert-message {
    display: none !important;
}

.banner-popup-after-wrapper .b24-form-content .b24-form-btn-block button[type="submit"] {
    color: #FFF;
    font-family: 'Montserrat';
    font-size: 16px;
    font-weight: 400;
    line-height: 120%;
}

.banner-popup-after-wrapper .b24-form-state {
    background: none !important;
}

.banner-popup-after-wrapper .b24-form-state-icon {
    display: none;
}

.banner-popup-after-wrapper .b24-form-state-inner {
    max-width: none;
}

.banner-popup-after-wrapper .b24-form-state-text p{
    color: #131313;
    text-align: center;
    font-family: "Tenor Sans";
    font-size: 28px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
}

@media (max-width: 650px) {
    .banner-popup-after {
        padding: 16px;
    }

    .banner-popup-after__form {
        gap: 8px;
    }
}
  



